package com.company.jmixtest.view.table

import com.company.jmixtest.entity.TableEntity
import com.company.jmixtest.view.main.MainView
import com.vaadin.flow.router.Route
import io.jmix.flowui.view.*


@Route(value = "tableEntities", layout = MainView::class)
@ViewController(id = "jt_TableEntity.list")
@ViewDescriptor(path = "table-entity-list-view.xml")
@LookupComponent("tableEntitiesDataGrid")
@DialogMode(width = "64em")
class TableEntityListView : StandardListView<TableEntity>() {
}