package com.company.jmixtest.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.InstanceName
import io.jmix.core.metamodel.annotation.JmixEntity
import io.jmix.data.impl.lazyloading.NotInstantiatedList
import jakarta.persistence.*
import jakarta.persistence.Column
import jakarta.persistence.Table
import java.util.*

@JmixEntity
@Table(name = "JT_PRIMARY_KEY_CONSTRAINT")
@Entity(name = "jt_PrimaryKeyConstraint")
open class PrimaryKeyConstraint {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @InstanceName
    @Column(name = "NAME")
    var name: String? = null

    @OneToOne(fetch = FetchType.LAZY, mappedBy = "primaryKeyConstraint")
    var tableEntity: TableEntity? = null

    @JoinTable(
        name = "JT_PRIMARY_KEY_CONSTRAINT_COLUMN_LINK",
        joinColumns = [JoinColumn(name = "PRIMARY_KEY_CONSTRAINT_ID")],
        inverseJoinColumns = [JoinColumn(name = "COLUMN_ID")]
    )
    @ManyToMany
    var columnEntities: MutableList<ColumnEntity> = NotInstantiatedList()
}