package com.company.jmixtest.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.InstanceName
import io.jmix.core.metamodel.annotation.JmixEntity
import jakarta.persistence.*
import jakarta.persistence.Column
import jakarta.persistence.Table
import java.util.*

@JmixEntity
@Table(name = "JT_WATERMARK", indexes = [
    Index(name = "IDX_JT_WATERMARK_COLUMN", columnList = "COLUMN_ID")
])
@Entity(name = "jt_Watermark")
open class Watermark {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @JoinColumn(name = "COLUMN_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    var columnEntity: ColumnEntity? = null

    @InstanceName
    @Column(name = "NAME")
    var name: String? = null

    @OneToOne(fetch = FetchType.LAZY, mappedBy = "watermark")
    var tableEntity: TableEntity? = null

}